﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

'	Private rp As RuntimePermissions
'	Public SF As StringFunctions
'	Public SU As StringUtils

'	Public Ini_Watch As KeyValueStore
	Public DBFileDir As String
	Public gMens_Alarme As String
	Public gCnt As Int
	Public gJson_Enviar As String
	Public gMap_Wifi As Map
	Public gWait_Scan, gWait_Wifi, gTx_Wifi As Boolean
	
	'Sensores
	Dim SensorsMap As Map
	Type SensorData (Name As String, ThreeValues As Boolean)
	
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
'	DBFileDir =  rp.GetSafeDirDefaultExternal ("")
'	Ini_Watch.Initialize ( DBFileDir, "Ini_Watch")
	gMap_Wifi.Initialize
	SensorsMap.Initialize

End Sub

Sub Service_Start (StartingIntent As Intent)
	Dim PS As PhoneSensors 'THIS OBJECT IS ONLY USED TO ACCESS THE TYPE CONSTANTS.

	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
	For i = 0 To SensorsMap.Size - 1
		Dim ps As PhoneSensors
		ps = SensorsMap.GetKeyAt(i)
		ps.StopListening
	Next
	ToastMessageShow("Registro TXT DESactivado",False)
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
'	Try
'		CancelScheduledService (bateria)
'	Catch
'		Log(LastException)
'	End Try
'
'	StopService ( bateria )

	For i = 0 To SensorsMap.Size - 1
		Dim ps As PhoneSensors
		ps = SensorsMap.GetKeyAt(i)
		ps.StopListening
	Next
	
End Sub


Sub AddSensor(SensorType As Int, Name As String)  ' As SensorData
	Dim sd As SensorData
	sd.Initialize
	sd.Name = Name
	sd.ThreeValues = False 'True 'ThreeValues
	Dim ps As PhoneSensors
	ps.Initialize(SensorType)
	SensorsMap.Put(ps, sd)
	Log(Name & " MaxValue = " & ps.MaxValue)
'	ps.StartListening("Sensor")
	If ps.StartListening("Sensor") = False Then
		Log(sd.Name & " is not supported.")
	End If
End Sub


Sub Sensor_SensorChanged (Values() As Float)
	Dim ps As PhoneSensors
	Dim sd As SensorData
	Dim xValor_Coracao, xCk_Coracao_Min, xCk_Coracao_Max As Float
	Dim xMens, xValue As String

	'Get the PhoneSensors object that raised this event.
	ps = Sender
	sd = SensorsMap.Get(ps) 'Get the associated SensorData obejct

'	Log ( sd.Name)
	If sd.Name = "Heart" Then
		Log ( "*** Heart: " & Values(0) )
'		xCk_Coracao_Max = Ini_Watch.GetDefault ( "coracao_maximo", 1000)
'		xCk_Coracao_Min = Ini_Watch.GetDefault ( "coracao_minimo", 0)
		xValor_Coracao = Values(0)
		xValue = Values(0)
		If (xValor_Coracao < xCk_Coracao_Min) Or (xValor_Coracao > xCk_Coracao_Max ) Then
			xMens = "Atenção Coração em " &  xValue
			Log ( xMens )
		End If
	End If
End Sub
